# Makefile.in generated by automake 1.6.1 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.356 $ 
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@
SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_HEADER = $(INSTALL_DATA)
transform = @program_transform_name@
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@

EXEEXT = @EXEEXT@
OBJEXT = @OBJEXT@
PATH_SEPARATOR = @PATH_SEPARATOR@
AMTAR = @AMTAR@
ARTSCCONFIG = @ARTSCCONFIG@
AS = @AS@
AUTODIRS = @AUTODIRS@
AWK = @AWK@
CC = @CC@
CFLAGS_GST = @CFLAGS_GST@
COMPILEMOTION = @COMPILEMOTION@
COM_INTERFACE_ATTRIBUTE = @COM_INTERFACE_ATTRIBUTE@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CUPSSUBDIR = @CUPSSUBDIR@
CXX = @CXX@
CXXCPP = @CXXCPP@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
DPMSINC = @DPMSINC@
DPMSLIB = @DPMSLIB@
DVD_INCLUDEDIR = @DVD_INCLUDEDIR@
DVD_LIBS = @DVD_LIBS@
DVD_RPATH = @DVD_RPATH@
ECHO = @ECHO@
EXTRA_LIBSMB_ADD = @EXTRA_LIBSMB_ADD@
EXTRA_LIBSMB_FLAGS = @EXTRA_LIBSMB_FLAGS@
FESTIVAL_INCDIR = @FESTIVAL_INCDIR@
FESTIVAL_LIBDIR = @FESTIVAL_LIBDIR@
FONTCONFIG_CFLAGS = @FONTCONFIG_CFLAGS@
FONTCONFIG_LIBS = @FONTCONFIG_LIBS@
FONTCONFIG_RPATH = @FONTCONFIG_RPATH@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
FREETYPE_LIBS = @FREETYPE_LIBS@
FREETYPE_RPATH = @FREETYPE_RPATH@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GLINC = @GLINC@
GLLIB = @GLLIB@
GL_LIBS = @GL_LIBS@
GMSGFMT = @GMSGFMT@
GSM_INCLUDES = @GSM_INCLUDES@
IDL = @IDL@
IDL_DEPENDENCIES = @IDL_DEPENDENCIES@
INFORMIX_INCDIR = @INFORMIX_INCDIR@
INFORMIX_LIBDIR = @INFORMIX_LIBDIR@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
JAR = @JAR@
JAVAC = @JAVAC@
JAVAH = @JAVAH@
JVMLIBS = @JVMLIBS@
KDECONFIG = @KDECONFIG@
KDEDB_INCLUDES = @KDEDB_INCLUDES@
KDEDB_LIBS = @KDEDB_LIBS@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
KWINTV_LIBS = @KWINTV_LIBS@
KWINTV_VERSION = @KWINTV_VERSION@
LCMS_LIBS = @LCMS_LIBS@
LEX = @LEX@
LEXLIB = @LEXLIB@
LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
LFLAGS = @LFLAGS@
LIBART_CFLAGS = @LIBART_CFLAGS@
LIBART_LIBS = @LIBART_LIBS@
LIBART_RPATH = @LIBART_RPATH@
LIBBZ2 = @LIBBZ2@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBFREETYPE_CFLAGS = @LIBFREETYPE_CFLAGS@
LIBFREETYPE_LIBS = @LIBFREETYPE_LIBS@
LIBFREETYPE_RPATH = @LIBFREETYPE_RPATH@
LIBGEN = @LIBGEN@
LIBGSM = @LIBGSM@
LIBJPEG = @LIBJPEG@
LIBKOFFICE = @LIBKOFFICE@
LIBMICO = @LIBMICO@
LIBOBJS = @LIBOBJS@
LIBPAPER = @LIBPAPER@
LIBPAPER_LIBS = @LIBPAPER_LIBS@
LIBPNG = @LIBPNG@
LIBPOSIX4 = @LIBPOSIX4@
LIBPTHREAD = @LIBPTHREAD@
LIBPYTHON = @LIBPYTHON@
LIBQIMGIO = @LIBQIMGIO@
LIBRESOLV = @LIBRESOLV@
LIBSHADOW = @LIBSHADOW@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBSSL = @LIBSSL@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBVM = @LIBVM@
LIBVTX_DIRI = @LIBVTX_DIRI@
LIBVTX_DIRL = @LIBVTX_DIRL@
LIBVTX_LIB = @LIBVTX_LIB@
LIBWI = @LIBWI@
LIBXML_CFLAGS = @LIBXML_CFLAGS@
LIBXML_LIBS = @LIBXML_LIBS@
LIBXML_RPATH = @LIBXML_RPATH@
LIBXSLT_CFLAGS = @LIBXSLT_CFLAGS@
LIBXSLT_LIBS = @LIBXSLT_LIBS@
LIBXSLT_RPATH = @LIBXSLT_RPATH@
LIBZ = @LIBZ@
LIBZVBI = @LIBZVBI@
LIB_CUPS = @LIB_CUPS@
LIB_GST = @LIB_GST@
LIB_JASPER = @LIB_JASPER@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDB = @LIB_KDB@
LIB_KDBCORE = @LIB_KDBCORE@
LIB_KDBUI = @LIB_KDBUI@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KHTMLW = @LIB_KHTMLW@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_LIRC = @LIB_LIRC@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_QTOPIA = @LIB_QTOPIA@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LIB_XRANDR = @LIB_XRANDR@
LIRC = @LIRC@
LN_S = @LN_S@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MICO_INCLUDES = @MICO_INCLUDES@
MICO_LDFLAGS = @MICO_LDFLAGS@
MOC = @MOC@
MSGFMT = @MSGFMT@
MYSQL_INCDIR = @MYSQL_INCDIR@
MYSQL_LIBDIR = @MYSQL_LIBDIR@
MY_READLINE_LIBS = @MY_READLINE_LIBS@
NETMGRDMALLOC = @NETMGRDMALLOC@
NETMGRDMALLOC_2 = @NETMGRDMALLOC_2@
NETMGRD_LIB = @NETMGRD_LIB@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
OBJDUMP = @OBJDUMP@
ODBC_DIR = @ODBC_DIR@
PACKAGE = @PACKAGE@
PAMLIBS = @PAMLIBS@
PASSWDLIBS = @PASSWDLIBS@
PG_INCDIR = @PG_INCDIR@
PG_LIBDIR = @PG_LIBDIR@
PKGCONFIGFOUND = @PKGCONFIGFOUND@
PYTHONINC = @PYTHONINC@
PYTHONLIB = @PYTHONLIB@
PYTHONMODDIR = @PYTHONMODDIR@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QTOPIA_INCLUDES = @QTOPIA_INCLUDES@
QTVISION_LIBS = @QTVISION_LIBS@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
QVVIDEO_PLUGINS = @QVVIDEO_PLUGINS@
RANLIB = @RANLIB@
RC = @RC@
SAMBA_LIBS = @SAMBA_LIBS@
SETUIDFLAGS = @SETUIDFLAGS@
SPEECH_TOOLS_INCDIR = @SPEECH_TOOLS_INCDIR@
SPEECH_TOOLS_LIBDIR = @SPEECH_TOOLS_LIBDIR@
SQL_SUBDIR = @SQL_SUBDIR@
SSDIR = @SSDIR@
SSL_INCLUDES = @SSL_INCLUDES@
SSL_LDFLAGS = @SSL_LDFLAGS@
STRIP = @STRIP@
TODAY = @TODAY@
TOPSUBDIRS = @TOPSUBDIRS@
TRANSCODEDIR = @TRANSCODEDIR@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WINE_BINDIR = @WINE_BINDIR@
WINE_INCS = @WINE_INCS@
WINE_LIBDIR = @WINE_LIBDIR@
WINE_LIBS = @WINE_LIBS@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
XMMS_INCLUDES = @XMMS_INCLUDES@
XMMS_LIBS = @XMMS_LIBS@
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
YACC = @YACC@
ZVBI_INCLUDES = @ZVBI_INCLUDES@
ZVBI_LDFLAGS = @ZVBI_LDFLAGS@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__include = @am__include@
am__quote = @am__quote@
config_file = @config_file@
idldir = @idldir@
install_sh = @install_sh@
jni_includes = @jni_includes@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
micodir = @micodir@
netmgr_confdir = @netmgr_confdir@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
x_includes = @x_includes@
x_libraries = @x_libraries@

#
# Test Programs
#
check_PROGRAMS = test_channelio test_channelscannerregion test_channeleditor test_tvwidget

#
# Test ChannelIO Classes
#
test_channelio_SOURCES = test_channelio.cpp
test_channelio_LDFLAGS = $(all_libraries) $(KDE_RPATH)
test_channelio_LDADD = ../libqtvision.la $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)

#
# Test ChannelScannerRegion
#
test_channelscannerregion_SOURCES = test_channelscannerregion.cpp
test_channelscannerregion_LDFLAGS = $(all_libraries) $(KDE_RPATH)
test_channelscannerregion_LDADD = ../libqtvision.la  $(LIB_QT) $(LIB_KDECORE)

#
# Test ChannelEditor Classes
#
test_channeleditor_SOURCES = test_channeleditor.cpp
test_channeleditor_LDFLAGS = $(all_libraries) $(KDE_RPATH)
test_channeleditor_LDADD = ../libqtvision.la $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)

#
# Test QtVisionWidget Classes
#
test_tvwidget_SOURCES = test_tvwidget.cpp
test_tvwidget_LDFLAGS = $(all_libraries) $(KDE_RPATH)
test_tvwidget_LDADD = ../libqtvision.la  $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)

INTERFACES = 
TRANSLATIONS = 

#>- METASOURCES = AUTO

# set the include path for X, qt and KDE
INCLUDES = $(all_includes)
subdir = kwintv3/qtvision/tests
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
check_PROGRAMS = test_channelio$(EXEEXT) \
	test_channelscannerregion$(EXEEXT) test_channeleditor$(EXEEXT) \
	test_tvwidget$(EXEEXT)
am_test_channeleditor_OBJECTS = test_channeleditor.$(OBJEXT)
#>- test_channeleditor_OBJECTS = $(am_test_channeleditor_OBJECTS)
#>+ 1
test_channeleditor_OBJECTS = test_channeleditor.$(OBJEXT)
test_channeleditor_DEPENDENCIES = ../libqtvision.la
am_test_channelio_OBJECTS = test_channelio.$(OBJEXT)
#>- test_channelio_OBJECTS = $(am_test_channelio_OBJECTS)
#>+ 1
test_channelio_OBJECTS = test_channelio.$(OBJEXT)
test_channelio_DEPENDENCIES = ../libqtvision.la
am_test_channelscannerregion_OBJECTS = \
	test_channelscannerregion.$(OBJEXT)
#>- test_channelscannerregion_OBJECTS = \
#>- 	$(am_test_channelscannerregion_OBJECTS)
#>+ 1
test_channelscannerregion_OBJECTS = test_channelscannerregion.$(OBJEXT)
test_channelscannerregion_DEPENDENCIES = ../libqtvision.la
am_test_tvwidget_OBJECTS = test_tvwidget.$(OBJEXT)
#>- test_tvwidget_OBJECTS = $(am_test_tvwidget_OBJECTS)
#>+ 1
test_tvwidget_OBJECTS = test_tvwidget.$(OBJEXT)
test_tvwidget_DEPENDENCIES = ../libqtvision.la

DEFS = @DEFS@
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/test_channeleditor.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/test_channelio.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/test_channelscannerregion.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/test_tvwidget.Po
#>+ 5
@AMDEP_TRUE@DEP_FILES =   ./$(DEPDIR)/test_channeleditor.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/test_channelio.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/test_channelscannerregion.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/test_tvwidget.Po

#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXFLAGS = @CXXFLAGS@
DIST_SOURCES = $(test_channeleditor_SOURCES) $(test_channelio_SOURCES) \
	$(test_channelscannerregion_SOURCES) $(test_tvwidget_SOURCES)
DIST_COMMON = Makefile.am Makefile.in
SOURCES = $(test_channeleditor_SOURCES) $(test_channelio_SOURCES) $(test_channelscannerregion_SOURCES) $(test_tvwidget_SOURCES)

#>- all: all-am
#>+ 1
all: docs-am  all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --gnu  kwintv3/qtvision/tests/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  kwintv3/qtvision/tests/Makefile
	cd $(top_srcdir) && perl admin/am_edit kwintv3/qtvision/tests/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-checkPROGRAMS:
	-test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
test_channeleditor$(EXEEXT): $(test_channeleditor_OBJECTS) $(test_channeleditor_DEPENDENCIES) 
	@rm -f test_channeleditor$(EXEEXT)
	$(CXXLINK) $(test_channeleditor_LDFLAGS) $(test_channeleditor_OBJECTS) $(test_channeleditor_LDADD) $(LIBS)
test_channelio$(EXEEXT): $(test_channelio_OBJECTS) $(test_channelio_DEPENDENCIES) 
	@rm -f test_channelio$(EXEEXT)
	$(CXXLINK) $(test_channelio_LDFLAGS) $(test_channelio_OBJECTS) $(test_channelio_LDADD) $(LIBS)
test_channelscannerregion$(EXEEXT): $(test_channelscannerregion_OBJECTS) $(test_channelscannerregion_DEPENDENCIES) 
	@rm -f test_channelscannerregion$(EXEEXT)
	$(CXXLINK) $(test_channelscannerregion_LDFLAGS) $(test_channelscannerregion_OBJECTS) $(test_channelscannerregion_LDADD) $(LIBS)
test_tvwidget$(EXEEXT): $(test_tvwidget_OBJECTS) $(test_tvwidget_DEPENDENCIES) 
	@rm -f test_tvwidget$(EXEEXT)
	$(CXXLINK) $(test_tvwidget_LDFLAGS) $(test_tvwidget_OBJECTS) $(test_tvwidget_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_channeleditor.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_channelio.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_channelscannerregion.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_tvwidget.Po@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.cpp.o:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CXXCOMPILE) -c -o $@ `cygpath -w $<`

.cpp.lo:
@AMDEP_TRUE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<
CXXDEPMODE = @CXXDEPMODE@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ../../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
check: check-am
all-am: Makefile

installdirs:

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-am
#>+ 1
clean: kde-rpo-clean  clean-am

clean-am: clean-checkPROGRAMS clean-generic clean-libtool mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

uninstall-am: uninstall-info-am

.PHONY: GTAGS all all-am check check-am clean clean-checkPROGRAMS \
	clean-generic clean-libtool distclean distclean-compile \
	distclean-depend distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am info info-am install \
	install-am install-data install-data-am install-exec \
	install-exec-am install-info install-info-am install-man \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	tags uninstall uninstall-am uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 2
docs-am:

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  kwintv3/qtvision/tests/Makefile
	cd $(top_srcdir) && perl admin/am_edit kwintv3/qtvision/tests/Makefile.in


#>+ 9
bcheck: bcheck-am

bcheck-am:
	test ! -r bchecktest.cc.class || mv -f bchecktest.cc.class bchecktest.cc.oldclass
	@echo "int main() {return 0;}" > bchecktest.cc
	for i in $(include_HEADERS); do echo "#include \"$$i\"" >> bchecktest.cc; done 
	test ! -s bchecktest.cc || $(CXXCOMPILE) --dump-class-hierarchy bchecktest.cc
	test ! -s bchecktest.cc.oldclass || test ! -s bchecktest.cc.class || cmp -s bchecktest.cc.oldclass bchecktest.cc.class

#>+ 2
final:
	$(MAKE) all-am
#>+ 2
final-install:
	$(MAKE) install-am
#>+ 2
no-final:
	$(MAKE) all-am
#>+ 2
no-final-install:
	$(MAKE) install-am
#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo
